scidart_plot 0.0.1-dev.1

  • Readme
  • Changelog
  • Example
  • Installing
  • 56

SciDart Plot #

SciDart Plot is a data visualization library compatible with SciDart. This library is part of SciDart project.

Goals #

Generate and save plot in SVG format.

Motivation #

Make easy the data visualization for SciDart.

Link to the Pub repository: https://pub.dev/packages/scidart_plot

Installation #

You can follow instruction in the Pub web site: https://pub.dev/packages/scidart_plot#-installing-tab-

SciDart Plot structure #

  • svg: SVG basic structures;

Examples #

Todo list #

Benchmarks #

  • [ ] made benchmark on Linux
  • [ ] made benchmark on MacOS
  • [ ] made benchmark on MS Windows

Code implementations #

  • [ ] fundamental svg classes
  • [ ] fundamental plot classes: grid generator, subplot, etc
  • [ ] fundamental io file manipulation
  • [ ] plot line
  • [ ] plot stem

0.0.1-dev.1 #

  • Initial version, basic functions for SVG

example/scidart_plot_example.dart

main() {
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  scidart_plot: ^0.0.1-dev.1

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:scidart_plot/scidart_plot.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
18
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
85
Overall:
Weighted score of the above. [more]
56
Learn more about scoring.

We analyzed this package on Oct 9, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.5.1
  • pana: 0.12.21

Platforms

Detected platforms: Flutter, other

Primary library: package:scidart_plot/scidart_plot.dart with components: io.

Health suggestions

Fix lib/src/plot/curve.dart. (-0.50 points)

Analysis of lib/src/plot/curve.dart reported 1 hint:

line 5 col 1: This function has a return type of 'SvgWidget', but doesn't end with a return statement.

Format lib/scidart_plot.dart.

Run dartfmt to format lib/scidart_plot.dart.

Format lib/src/plot/grid.dart.

Run dartfmt to format lib/src/plot/grid.dart.

Fix additional 10 files with analysis or formatting issues.

Additional issues in the following files:

  • lib/src/plot/plot.dart (Run dartfmt to format lib/src/plot/plot.dart.)
  • lib/src/svg/primitives/point_pair.dart (Run dartfmt to format lib/src/svg/primitives/point_pair.dart.)
  • lib/src/svg/widgets/abstract/svg_widget.dart (Run dartfmt to format lib/src/svg/widgets/abstract/svg_widget.dart.)
  • lib/src/svg/widgets/circle.dart (Run dartfmt to format lib/src/svg/widgets/circle.dart.)
  • lib/src/svg/widgets/ellipse.dart (Run dartfmt to format lib/src/svg/widgets/ellipse.dart.)
  • lib/src/svg/widgets/line.dart (Run dartfmt to format lib/src/svg/widgets/line.dart.)
  • lib/src/svg/widgets/polygon.dart (Run dartfmt to format lib/src/svg/widgets/polygon.dart.)
  • lib/src/svg/widgets/polyline.dart (Run dartfmt to format lib/src/svg/widgets/polyline.dart.)
  • lib/src/svg/widgets/rect.dart (Run dartfmt to format lib/src/svg/widgets/rect.dart.)
  • lib/src/svg/widgets/text.dart (Run dartfmt to format lib/src/svg/widgets/text.dart.)

Maintenance suggestions

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Package is pre-release. (-5 points)

Pre-release versions should be used with caution; their API can change in breaking ways.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.4.0 <3.0.0
color ^2.1.1 2.1.1
meta ^1.1.7 1.1.7
scidart ^0.0.1-dev.5 0.0.1-dev.6
scidart_io ^0.0.1-dev.3 0.0.1-dev.3
Transitive dependencies
path 1.6.4
Dev dependencies
pedantic ^1.7.0
test ^1.6.0